#include <iostream>

using namespace std;

int main()
{
    int N;
    cin>>N;
    int n=N;
    int k;
    cin>>k;
    int A[N];
    int R=0;
    for(int i=0;i<N;i++)
    {
        cin>>A[i];
    }
    if(k==0)
    {
        for(int i=0;i<N;i++)
            R=R+A[i];
    }
    else if(k==1)
    {
        for (int i=0; i <n ; i++) {
            R += A[i]*(n-i)*(i+1);
        }
    }
    else
    {
        for(int i=0;i<k;i++)
        {
             for (int i=0; i <n ; i++) {
            R += A[i]*(n-i)*(i+1);
        }
    }
    }
    cout<<R;
    return 0;
}